package com.chinaitop.depot.intelligent.fumigation.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TFumigationAfterExample {
    /**
     * t_fumigation_after
     */
    protected String orderByClause;

    /**
     * t_fumigation_after
     */
    protected boolean distinct;

    /**
     * t_fumigation_after
     */
    protected List<Criteria> oredCriteria;

    public TFumigationAfterExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_fumigation_after 2020-06-28
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andHouseIdIsNull() {
            addCriterion("house_id is null");
            return (Criteria) this;
        }

        public Criteria andHouseIdIsNotNull() {
            addCriterion("house_id is not null");
            return (Criteria) this;
        }

        public Criteria andHouseIdEqualTo(Integer value) {
            addCriterion("house_id =", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotEqualTo(Integer value) {
            addCriterion("house_id <>", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdGreaterThan(Integer value) {
            addCriterion("house_id >", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("house_id >=", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdLessThan(Integer value) {
            addCriterion("house_id <", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("house_id <=", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdIn(List<Integer> values) {
            addCriterion("house_id in", values, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotIn(List<Integer> values) {
            addCriterion("house_id not in", values, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdBetween(Integer value1, Integer value2) {
            addCriterion("house_id between", value1, value2, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("house_id not between", value1, value2, "houseId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdIsNull() {
            addCriterion("fumigation_id is null");
            return (Criteria) this;
        }

        public Criteria andFumigationIdIsNotNull() {
            addCriterion("fumigation_id is not null");
            return (Criteria) this;
        }

        public Criteria andFumigationIdEqualTo(String value) {
            addCriterion("fumigation_id =", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdNotEqualTo(String value) {
            addCriterion("fumigation_id <>", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdGreaterThan(String value) {
            addCriterion("fumigation_id >", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdGreaterThanOrEqualTo(String value) {
            addCriterion("fumigation_id >=", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdLessThan(String value) {
            addCriterion("fumigation_id <", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdLessThanOrEqualTo(String value) {
            addCriterion("fumigation_id <=", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdLike(String value) {
            addCriterion("fumigation_id like", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdNotLike(String value) {
            addCriterion("fumigation_id not like", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdIn(List<String> values) {
            addCriterion("fumigation_id in", values, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdNotIn(List<String> values) {
            addCriterion("fumigation_id not in", values, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdBetween(String value1, String value2) {
            addCriterion("fumigation_id between", value1, value2, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdNotBetween(String value1, String value2) {
            addCriterion("fumigation_id not between", value1, value2, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureIsNull() {
            addCriterion("sampling_culture_temperature is null");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureIsNotNull() {
            addCriterion("sampling_culture_temperature is not null");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureEqualTo(String value) {
            addCriterion("sampling_culture_temperature =", value, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureNotEqualTo(String value) {
            addCriterion("sampling_culture_temperature <>", value, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureGreaterThan(String value) {
            addCriterion("sampling_culture_temperature >", value, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureGreaterThanOrEqualTo(String value) {
            addCriterion("sampling_culture_temperature >=", value, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureLessThan(String value) {
            addCriterion("sampling_culture_temperature <", value, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureLessThanOrEqualTo(String value) {
            addCriterion("sampling_culture_temperature <=", value, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureLike(String value) {
            addCriterion("sampling_culture_temperature like", value, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureNotLike(String value) {
            addCriterion("sampling_culture_temperature not like", value, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureIn(List<String> values) {
            addCriterion("sampling_culture_temperature in", values, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureNotIn(List<String> values) {
            addCriterion("sampling_culture_temperature not in", values, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureBetween(String value1, String value2) {
            addCriterion("sampling_culture_temperature between", value1, value2, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureTemperatureNotBetween(String value1, String value2) {
            addCriterion("sampling_culture_temperature not between", value1, value2, "samplingCultureTemperature");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityIsNull() {
            addCriterion("sampling_culture_humidity is null");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityIsNotNull() {
            addCriterion("sampling_culture_humidity is not null");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityEqualTo(String value) {
            addCriterion("sampling_culture_humidity =", value, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityNotEqualTo(String value) {
            addCriterion("sampling_culture_humidity <>", value, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityGreaterThan(String value) {
            addCriterion("sampling_culture_humidity >", value, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityGreaterThanOrEqualTo(String value) {
            addCriterion("sampling_culture_humidity >=", value, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityLessThan(String value) {
            addCriterion("sampling_culture_humidity <", value, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityLessThanOrEqualTo(String value) {
            addCriterion("sampling_culture_humidity <=", value, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityLike(String value) {
            addCriterion("sampling_culture_humidity like", value, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityNotLike(String value) {
            addCriterion("sampling_culture_humidity not like", value, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityIn(List<String> values) {
            addCriterion("sampling_culture_humidity in", values, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityNotIn(List<String> values) {
            addCriterion("sampling_culture_humidity not in", values, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityBetween(String value1, String value2) {
            addCriterion("sampling_culture_humidity between", value1, value2, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureHumidityNotBetween(String value1, String value2) {
            addCriterion("sampling_culture_humidity not between", value1, value2, "samplingCultureHumidity");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalIsNull() {
            addCriterion("sampling_culture_month_survival is null");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalIsNotNull() {
            addCriterion("sampling_culture_month_survival is not null");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalEqualTo(Integer value) {
            addCriterion("sampling_culture_month_survival =", value, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalNotEqualTo(Integer value) {
            addCriterion("sampling_culture_month_survival <>", value, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalGreaterThan(Integer value) {
            addCriterion("sampling_culture_month_survival >", value, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalGreaterThanOrEqualTo(Integer value) {
            addCriterion("sampling_culture_month_survival >=", value, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalLessThan(Integer value) {
            addCriterion("sampling_culture_month_survival <", value, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalLessThanOrEqualTo(Integer value) {
            addCriterion("sampling_culture_month_survival <=", value, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalIn(List<Integer> values) {
            addCriterion("sampling_culture_month_survival in", values, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalNotIn(List<Integer> values) {
            addCriterion("sampling_culture_month_survival not in", values, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalBetween(Integer value1, Integer value2) {
            addCriterion("sampling_culture_month_survival between", value1, value2, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andSamplingCultureMonthSurvivalNotBetween(Integer value1, Integer value2) {
            addCriterion("sampling_culture_month_survival not between", value1, value2, "samplingCultureMonthSurvival");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateIsNull() {
            addCriterion("kill_insect_rate is null");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateIsNotNull() {
            addCriterion("kill_insect_rate is not null");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateEqualTo(String value) {
            addCriterion("kill_insect_rate =", value, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateNotEqualTo(String value) {
            addCriterion("kill_insect_rate <>", value, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateGreaterThan(String value) {
            addCriterion("kill_insect_rate >", value, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateGreaterThanOrEqualTo(String value) {
            addCriterion("kill_insect_rate >=", value, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateLessThan(String value) {
            addCriterion("kill_insect_rate <", value, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateLessThanOrEqualTo(String value) {
            addCriterion("kill_insect_rate <=", value, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateLike(String value) {
            addCriterion("kill_insect_rate like", value, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateNotLike(String value) {
            addCriterion("kill_insect_rate not like", value, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateIn(List<String> values) {
            addCriterion("kill_insect_rate in", values, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateNotIn(List<String> values) {
            addCriterion("kill_insect_rate not in", values, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateBetween(String value1, String value2) {
            addCriterion("kill_insect_rate between", value1, value2, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andKillInsectRateNotBetween(String value1, String value2) {
            addCriterion("kill_insect_rate not between", value1, value2, "killInsectRate");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeIsNull() {
            addCriterion("check_insect_cage_time is null");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeIsNotNull() {
            addCriterion("check_insect_cage_time is not null");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeEqualTo(Date value) {
            addCriterion("check_insect_cage_time =", value, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeNotEqualTo(Date value) {
            addCriterion("check_insect_cage_time <>", value, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeGreaterThan(Date value) {
            addCriterion("check_insect_cage_time >", value, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("check_insect_cage_time >=", value, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeLessThan(Date value) {
            addCriterion("check_insect_cage_time <", value, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeLessThanOrEqualTo(Date value) {
            addCriterion("check_insect_cage_time <=", value, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeIn(List<Date> values) {
            addCriterion("check_insect_cage_time in", values, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeNotIn(List<Date> values) {
            addCriterion("check_insect_cage_time not in", values, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeBetween(Date value1, Date value2) {
            addCriterion("check_insect_cage_time between", value1, value2, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andCheckInsectCageTimeNotBetween(Date value1, Date value2) {
            addCriterion("check_insect_cage_time not between", value1, value2, "checkInsectCageTime");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateIsNull() {
            addCriterion("insect_cage_kill_rate is null");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateIsNotNull() {
            addCriterion("insect_cage_kill_rate is not null");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateEqualTo(String value) {
            addCriterion("insect_cage_kill_rate =", value, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateNotEqualTo(String value) {
            addCriterion("insect_cage_kill_rate <>", value, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateGreaterThan(String value) {
            addCriterion("insect_cage_kill_rate >", value, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateGreaterThanOrEqualTo(String value) {
            addCriterion("insect_cage_kill_rate >=", value, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateLessThan(String value) {
            addCriterion("insect_cage_kill_rate <", value, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateLessThanOrEqualTo(String value) {
            addCriterion("insect_cage_kill_rate <=", value, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateLike(String value) {
            addCriterion("insect_cage_kill_rate like", value, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateNotLike(String value) {
            addCriterion("insect_cage_kill_rate not like", value, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateIn(List<String> values) {
            addCriterion("insect_cage_kill_rate in", values, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateNotIn(List<String> values) {
            addCriterion("insect_cage_kill_rate not in", values, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateBetween(String value1, String value2) {
            addCriterion("insect_cage_kill_rate between", value1, value2, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andInsectCageKillRateNotBetween(String value1, String value2) {
            addCriterion("insect_cage_kill_rate not between", value1, value2, "insectCageKillRate");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisIsNull() {
            addCriterion("effect_analysis is null");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisIsNotNull() {
            addCriterion("effect_analysis is not null");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisEqualTo(String value) {
            addCriterion("effect_analysis =", value, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisNotEqualTo(String value) {
            addCriterion("effect_analysis <>", value, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisGreaterThan(String value) {
            addCriterion("effect_analysis >", value, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisGreaterThanOrEqualTo(String value) {
            addCriterion("effect_analysis >=", value, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisLessThan(String value) {
            addCriterion("effect_analysis <", value, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisLessThanOrEqualTo(String value) {
            addCriterion("effect_analysis <=", value, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisLike(String value) {
            addCriterion("effect_analysis like", value, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisNotLike(String value) {
            addCriterion("effect_analysis not like", value, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisIn(List<String> values) {
            addCriterion("effect_analysis in", values, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisNotIn(List<String> values) {
            addCriterion("effect_analysis not in", values, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisBetween(String value1, String value2) {
            addCriterion("effect_analysis between", value1, value2, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andEffectAnalysisNotBetween(String value1, String value2) {
            addCriterion("effect_analysis not between", value1, value2, "effectAnalysis");
            return (Criteria) this;
        }

        public Criteria andCreaterIsNull() {
            addCriterion("creater is null");
            return (Criteria) this;
        }

        public Criteria andCreaterIsNotNull() {
            addCriterion("creater is not null");
            return (Criteria) this;
        }

        public Criteria andCreaterEqualTo(Integer value) {
            addCriterion("creater =", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterNotEqualTo(Integer value) {
            addCriterion("creater <>", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterGreaterThan(Integer value) {
            addCriterion("creater >", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterGreaterThanOrEqualTo(Integer value) {
            addCriterion("creater >=", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterLessThan(Integer value) {
            addCriterion("creater <", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterLessThanOrEqualTo(Integer value) {
            addCriterion("creater <=", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterIn(List<Integer> values) {
            addCriterion("creater in", values, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterNotIn(List<Integer> values) {
            addCriterion("creater not in", values, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterBetween(Integer value1, Integer value2) {
            addCriterion("creater between", value1, value2, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterNotBetween(Integer value1, Integer value2) {
            addCriterion("creater not between", value1, value2, "creater");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjIsNull() {
            addCriterion("czsjzysj is null");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjIsNotNull() {
            addCriterion("czsjzysj is not null");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjEqualTo(Date value) {
            addCriterion("czsjzysj =", value, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjNotEqualTo(Date value) {
            addCriterion("czsjzysj <>", value, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjGreaterThan(Date value) {
            addCriterion("czsjzysj >", value, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjGreaterThanOrEqualTo(Date value) {
            addCriterion("czsjzysj >=", value, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjLessThan(Date value) {
            addCriterion("czsjzysj <", value, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjLessThanOrEqualTo(Date value) {
            addCriterion("czsjzysj <=", value, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjIn(List<Date> values) {
            addCriterion("czsjzysj in", values, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjNotIn(List<Date> values) {
            addCriterion("czsjzysj not in", values, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjBetween(Date value1, Date value2) {
            addCriterion("czsjzysj between", value1, value2, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzysjNotBetween(Date value1, Date value2) {
            addCriterion("czsjzysj not between", value1, value2, "czsjzysj");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsIsNull() {
            addCriterion("czsjzyrs is null");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsIsNotNull() {
            addCriterion("czsjzyrs is not null");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsEqualTo(Integer value) {
            addCriterion("czsjzyrs =", value, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsNotEqualTo(Integer value) {
            addCriterion("czsjzyrs <>", value, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsGreaterThan(Integer value) {
            addCriterion("czsjzyrs >", value, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsGreaterThanOrEqualTo(Integer value) {
            addCriterion("czsjzyrs >=", value, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsLessThan(Integer value) {
            addCriterion("czsjzyrs <", value, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsLessThanOrEqualTo(Integer value) {
            addCriterion("czsjzyrs <=", value, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsIn(List<Integer> values) {
            addCriterion("czsjzyrs in", values, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsNotIn(List<Integer> values) {
            addCriterion("czsjzyrs not in", values, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsBetween(Integer value1, Integer value2) {
            addCriterion("czsjzyrs between", value1, value2, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjzyrsNotBetween(Integer value1, Integer value2) {
            addCriterion("czsjzyrs not between", value1, value2, "czsjzyrs");
            return (Criteria) this;
        }

        public Criteria andCzsjffIsNull() {
            addCriterion("czsjff is null");
            return (Criteria) this;
        }

        public Criteria andCzsjffIsNotNull() {
            addCriterion("czsjff is not null");
            return (Criteria) this;
        }

        public Criteria andCzsjffEqualTo(String value) {
            addCriterion("czsjff =", value, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffNotEqualTo(String value) {
            addCriterion("czsjff <>", value, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffGreaterThan(String value) {
            addCriterion("czsjff >", value, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffGreaterThanOrEqualTo(String value) {
            addCriterion("czsjff >=", value, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffLessThan(String value) {
            addCriterion("czsjff <", value, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffLessThanOrEqualTo(String value) {
            addCriterion("czsjff <=", value, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffLike(String value) {
            addCriterion("czsjff like", value, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffNotLike(String value) {
            addCriterion("czsjff not like", value, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffIn(List<String> values) {
            addCriterion("czsjff in", values, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffNotIn(List<String> values) {
            addCriterion("czsjff not in", values, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffBetween(String value1, String value2) {
            addCriterion("czsjff between", value1, value2, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjffNotBetween(String value1, String value2) {
            addCriterion("czsjff not between", value1, value2, "czsjff");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrIsNull() {
            addCriterion("czsjzypzr is null");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrIsNotNull() {
            addCriterion("czsjzypzr is not null");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrEqualTo(String value) {
            addCriterion("czsjzypzr =", value, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrNotEqualTo(String value) {
            addCriterion("czsjzypzr <>", value, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrGreaterThan(String value) {
            addCriterion("czsjzypzr >", value, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrGreaterThanOrEqualTo(String value) {
            addCriterion("czsjzypzr >=", value, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrLessThan(String value) {
            addCriterion("czsjzypzr <", value, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrLessThanOrEqualTo(String value) {
            addCriterion("czsjzypzr <=", value, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrLike(String value) {
            addCriterion("czsjzypzr like", value, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrNotLike(String value) {
            addCriterion("czsjzypzr not like", value, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrIn(List<String> values) {
            addCriterion("czsjzypzr in", values, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrNotIn(List<String> values) {
            addCriterion("czsjzypzr not in", values, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrBetween(String value1, String value2) {
            addCriterion("czsjzypzr between", value1, value2, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzsjzypzrNotBetween(String value1, String value2) {
            addCriterion("czsjzypzr not between", value1, value2, "czsjzypzr");
            return (Criteria) this;
        }

        public Criteria andCzclcsIsNull() {
            addCriterion("czclcs is null");
            return (Criteria) this;
        }

        public Criteria andCzclcsIsNotNull() {
            addCriterion("czclcs is not null");
            return (Criteria) this;
        }

        public Criteria andCzclcsEqualTo(String value) {
            addCriterion("czclcs =", value, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsNotEqualTo(String value) {
            addCriterion("czclcs <>", value, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsGreaterThan(String value) {
            addCriterion("czclcs >", value, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsGreaterThanOrEqualTo(String value) {
            addCriterion("czclcs >=", value, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsLessThan(String value) {
            addCriterion("czclcs <", value, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsLessThanOrEqualTo(String value) {
            addCriterion("czclcs <=", value, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsLike(String value) {
            addCriterion("czclcs like", value, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsNotLike(String value) {
            addCriterion("czclcs not like", value, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsIn(List<String> values) {
            addCriterion("czclcs in", values, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsNotIn(List<String> values) {
            addCriterion("czclcs not in", values, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsBetween(String value1, String value2) {
            addCriterion("czclcs between", value1, value2, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclcsNotBetween(String value1, String value2) {
            addCriterion("czclcs not between", value1, value2, "czclcs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsIsNull() {
            addCriterion("czclzyrs is null");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsIsNotNull() {
            addCriterion("czclzyrs is not null");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsEqualTo(Integer value) {
            addCriterion("czclzyrs =", value, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsNotEqualTo(Integer value) {
            addCriterion("czclzyrs <>", value, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsGreaterThan(Integer value) {
            addCriterion("czclzyrs >", value, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsGreaterThanOrEqualTo(Integer value) {
            addCriterion("czclzyrs >=", value, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsLessThan(Integer value) {
            addCriterion("czclzyrs <", value, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsLessThanOrEqualTo(Integer value) {
            addCriterion("czclzyrs <=", value, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsIn(List<Integer> values) {
            addCriterion("czclzyrs in", values, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsNotIn(List<Integer> values) {
            addCriterion("czclzyrs not in", values, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsBetween(Integer value1, Integer value2) {
            addCriterion("czclzyrs between", value1, value2, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclzyrsNotBetween(Integer value1, Integer value2) {
            addCriterion("czclzyrs not between", value1, value2, "czclzyrs");
            return (Criteria) this;
        }

        public Criteria andCzclpzrIsNull() {
            addCriterion("czclpzr is null");
            return (Criteria) this;
        }

        public Criteria andCzclpzrIsNotNull() {
            addCriterion("czclpzr is not null");
            return (Criteria) this;
        }

        public Criteria andCzclpzrEqualTo(String value) {
            addCriterion("czclpzr =", value, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrNotEqualTo(String value) {
            addCriterion("czclpzr <>", value, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrGreaterThan(String value) {
            addCriterion("czclpzr >", value, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrGreaterThanOrEqualTo(String value) {
            addCriterion("czclpzr >=", value, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrLessThan(String value) {
            addCriterion("czclpzr <", value, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrLessThanOrEqualTo(String value) {
            addCriterion("czclpzr <=", value, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrLike(String value) {
            addCriterion("czclpzr like", value, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrNotLike(String value) {
            addCriterion("czclpzr not like", value, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrIn(List<String> values) {
            addCriterion("czclpzr in", values, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrNotIn(List<String> values) {
            addCriterion("czclpzr not in", values, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrBetween(String value1, String value2) {
            addCriterion("czclpzr between", value1, value2, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andCzclpzrNotBetween(String value1, String value2) {
            addCriterion("czclpzr not between", value1, value2, "czclpzr");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkIsNull() {
            addCriterion("xzhhcjcqk is null");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkIsNotNull() {
            addCriterion("xzhhcjcqk is not null");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkEqualTo(String value) {
            addCriterion("xzhhcjcqk =", value, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkNotEqualTo(String value) {
            addCriterion("xzhhcjcqk <>", value, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkGreaterThan(String value) {
            addCriterion("xzhhcjcqk >", value, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkGreaterThanOrEqualTo(String value) {
            addCriterion("xzhhcjcqk >=", value, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkLessThan(String value) {
            addCriterion("xzhhcjcqk <", value, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkLessThanOrEqualTo(String value) {
            addCriterion("xzhhcjcqk <=", value, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkLike(String value) {
            addCriterion("xzhhcjcqk like", value, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkNotLike(String value) {
            addCriterion("xzhhcjcqk not like", value, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkIn(List<String> values) {
            addCriterion("xzhhcjcqk in", values, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkNotIn(List<String> values) {
            addCriterion("xzhhcjcqk not in", values, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkBetween(String value1, String value2) {
            addCriterion("xzhhcjcqk between", value1, value2, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhhcjcqkNotBetween(String value1, String value2) {
            addCriterion("xzhhcjcqk not between", value1, value2, "xzhhcjcqk");
            return (Criteria) this;
        }

        public Criteria andXzhckmdIsNull() {
            addCriterion("xzhckmd is null");
            return (Criteria) this;
        }

        public Criteria andXzhckmdIsNotNull() {
            addCriterion("xzhckmd is not null");
            return (Criteria) this;
        }

        public Criteria andXzhckmdEqualTo(Integer value) {
            addCriterion("xzhckmd =", value, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andXzhckmdNotEqualTo(Integer value) {
            addCriterion("xzhckmd <>", value, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andXzhckmdGreaterThan(Integer value) {
            addCriterion("xzhckmd >", value, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andXzhckmdGreaterThanOrEqualTo(Integer value) {
            addCriterion("xzhckmd >=", value, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andXzhckmdLessThan(Integer value) {
            addCriterion("xzhckmd <", value, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andXzhckmdLessThanOrEqualTo(Integer value) {
            addCriterion("xzhckmd <=", value, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andXzhckmdIn(List<Integer> values) {
            addCriterion("xzhckmd in", values, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andXzhckmdNotIn(List<Integer> values) {
            addCriterion("xzhckmd not in", values, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andXzhckmdBetween(Integer value1, Integer value2) {
            addCriterion("xzhckmd between", value1, value2, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andXzhckmdNotBetween(Integer value1, Integer value2) {
            addCriterion("xzhckmd not between", value1, value2, "xzhckmd");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsIsNull() {
            addCriterion("pyswthhcs is null");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsIsNotNull() {
            addCriterion("pyswthhcs is not null");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsEqualTo(Integer value) {
            addCriterion("pyswthhcs =", value, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsNotEqualTo(Integer value) {
            addCriterion("pyswthhcs <>", value, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsGreaterThan(Integer value) {
            addCriterion("pyswthhcs >", value, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsGreaterThanOrEqualTo(Integer value) {
            addCriterion("pyswthhcs >=", value, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsLessThan(Integer value) {
            addCriterion("pyswthhcs <", value, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsLessThanOrEqualTo(Integer value) {
            addCriterion("pyswthhcs <=", value, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsIn(List<Integer> values) {
            addCriterion("pyswthhcs in", values, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsNotIn(List<Integer> values) {
            addCriterion("pyswthhcs not in", values, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsBetween(Integer value1, Integer value2) {
            addCriterion("pyswthhcs between", value1, value2, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPyswthhcsNotBetween(Integer value1, Integer value2) {
            addCriterion("pyswthhcs not between", value1, value2, "pyswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsIsNull() {
            addCriterion("pysswthhcs is null");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsIsNotNull() {
            addCriterion("pysswthhcs is not null");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsEqualTo(Integer value) {
            addCriterion("pysswthhcs =", value, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsNotEqualTo(Integer value) {
            addCriterion("pysswthhcs <>", value, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsGreaterThan(Integer value) {
            addCriterion("pysswthhcs >", value, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsGreaterThanOrEqualTo(Integer value) {
            addCriterion("pysswthhcs >=", value, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsLessThan(Integer value) {
            addCriterion("pysswthhcs <", value, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsLessThanOrEqualTo(Integer value) {
            addCriterion("pysswthhcs <=", value, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsIn(List<Integer> values) {
            addCriterion("pysswthhcs in", values, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsNotIn(List<Integer> values) {
            addCriterion("pysswthhcs not in", values, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsBetween(Integer value1, Integer value2) {
            addCriterion("pysswthhcs between", value1, value2, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andPysswthhcsNotBetween(Integer value1, Integer value2) {
            addCriterion("pysswthhcs not between", value1, value2, "pysswthhcs");
            return (Criteria) this;
        }

        public Criteria andXzxgpjIsNull() {
            addCriterion("xzxgpj is null");
            return (Criteria) this;
        }

        public Criteria andXzxgpjIsNotNull() {
            addCriterion("xzxgpj is not null");
            return (Criteria) this;
        }

        public Criteria andXzxgpjEqualTo(String value) {
            addCriterion("xzxgpj =", value, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjNotEqualTo(String value) {
            addCriterion("xzxgpj <>", value, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjGreaterThan(String value) {
            addCriterion("xzxgpj >", value, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjGreaterThanOrEqualTo(String value) {
            addCriterion("xzxgpj >=", value, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjLessThan(String value) {
            addCriterion("xzxgpj <", value, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjLessThanOrEqualTo(String value) {
            addCriterion("xzxgpj <=", value, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjLike(String value) {
            addCriterion("xzxgpj like", value, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjNotLike(String value) {
            addCriterion("xzxgpj not like", value, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjIn(List<String> values) {
            addCriterion("xzxgpj in", values, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjNotIn(List<String> values) {
            addCriterion("xzxgpj not in", values, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjBetween(String value1, String value2) {
            addCriterion("xzxgpj between", value1, value2, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andXzxgpjNotBetween(String value1, String value2) {
            addCriterion("xzxgpj not between", value1, value2, "xzxgpj");
            return (Criteria) this;
        }

        public Criteria andDeleteStateIsNull() {
            addCriterion("delete_state is null");
            return (Criteria) this;
        }

        public Criteria andDeleteStateIsNotNull() {
            addCriterion("delete_state is not null");
            return (Criteria) this;
        }

        public Criteria andDeleteStateEqualTo(String value) {
            addCriterion("delete_state =", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateNotEqualTo(String value) {
            addCriterion("delete_state <>", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateGreaterThan(String value) {
            addCriterion("delete_state >", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateGreaterThanOrEqualTo(String value) {
            addCriterion("delete_state >=", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateLessThan(String value) {
            addCriterion("delete_state <", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateLessThanOrEqualTo(String value) {
            addCriterion("delete_state <=", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateLike(String value) {
            addCriterion("delete_state like", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateNotLike(String value) {
            addCriterion("delete_state not like", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateIn(List<String> values) {
            addCriterion("delete_state in", values, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateNotIn(List<String> values) {
            addCriterion("delete_state not in", values, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateBetween(String value1, String value2) {
            addCriterion("delete_state between", value1, value2, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateNotBetween(String value1, String value2) {
            addCriterion("delete_state not between", value1, value2, "deleteState");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }
    }

    /**
     * t_fumigation_after
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_fumigation_after 2020-06-28
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}